Panda3D

Loading...
Searching...
No Matches
Classes | Functions | Variables
bulletWorld.h File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "pandabase.h"`
`#include "bullet_includes.h"`
`#include "bullet_utils.h"`
`#include "bulletClosestHitRayResult.h"`
`#include "bulletAllHitsRayResult.h"`
`#include "bulletClosestHitSweepResult.h"`
`#include "bulletContactResult.h"`
`#include "bulletDebugNode.h"`
`#include "bulletBaseCharacterControllerNode.h"`
`#include "bulletConstraint.h"`
`#include "bulletGhostNode.h"`
`#include "bulletRigidBodyNode.h"`
`#include "bulletSoftBodyNode.h"`
`#include "bulletVehicle.h"`
`#include "typedReferenceCount.h"`
`#include "transformState.h"`
`#include "pandaNode.h"`
`#include "callbackObject.h"`
`#include "collideMask.h"`
`#include "luse.h"`
`#include "lightMutex.h"`
`#include "bulletWorld.I"`

Go to the source code of this file.

## Classes
class | BulletWorld

## Functions
EXPCL_PANDABULLET std::ostream & | operator<< (std::ostream &out, BulletWorld::BroadphaseAlgorithm algorithm)
EXPCL_PANDABULLET std::ostream & | operator<< (std::ostream &out, BulletWorld::FilterAlgorithm algorithm)
EXPCL_PANDABULLET std::istream & | operator>> (std::istream &in, BulletWorld::BroadphaseAlgorithm &algorithm)
EXPCL_PANDABULLET std::istream & | operator>> (std::istream &in, BulletWorld::FilterAlgorithm &algorithm)

## Variables
EXPCL_PANDABULLET PointerTo< CallbackObject > | bullet_contact_added_callback

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  enn0x

Date
  2010-01-23

Definition in file bulletWorld.h.

## Function Documentation

## ◆ operator<<() [1/2]

EXPCL_PANDABULLET std::ostream & operator<< | ( | std::ostream & | out,
|  | BulletWorld::BroadphaseAlgorithm | algorithm )

Definition at line 1335 of file bulletWorld.cxx.

## ◆ operator<<() [2/2]

EXPCL_PANDABULLET std::ostream & operator<< | ( | std::ostream & | out,
|  | BulletWorld::FilterAlgorithm | algorithm )

Definition at line 1375 of file bulletWorld.cxx.

## ◆ operator>>() [1/2]

EXPCL_PANDABULLET std::istream & operator>> | ( | std::istream & | in,
|  | BulletWorld::BroadphaseAlgorithm & | algorithm )

Definition at line 1353 of file bulletWorld.cxx.

## ◆ operator>>() [2/2]

EXPCL_PANDABULLET std::istream & operator>> | ( | std::istream & | in,
|  | BulletWorld::FilterAlgorithm & | algorithm )

Definition at line 1393 of file bulletWorld.cxx.

## Variable Documentation

## ◆ bullet_contact_added_callback

EXPCL_PANDABULLET PointerTo< CallbackObject > bullet_contact_added_callback
| extern

Definition at line 41 of file bulletWorld.cxx.